/* iPadPro, iPadAir, SurfacePro7 */
@media (max-width:1024px) and (min-width: 821px) {

}

/* iPadMini */
@media (max-width:820px) and (min-width: 641px) {

}

/* iPhone */
@media (max-width: 640px) {
    /* 区块1 */
    .product-section1-container{
        padding: 30px 0;
    }
    .product-section1-container-header{
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .product-section1-container-header-left{
        width: 100%;
    }
    .product-section1-container-header-title{
        width: 100%;
        text-align: left;
        font-size: 25px;
    }
    .product-section1-container-header-right{
        width: 100%;
        justify-content: flex-start;
        align-items: flex-start;
        padding-top: 20px;
    }
    .product-section1-container-model-switcher-info{
        padding: 0 20px;
        height: 40px;
        line-height: 40px;
        border: #444444 solid 1px;
        border-radius: 21px;
    }
    .product-section1-container-model-switcher-title{
        height: 30px;
        line-height: 30px;
        font-size: 16px;
        margin-right: 10px;
    }
    .product-section1-container-model-switcher-icon{
        width: 20px;
    }
    .product-section1-container-model-switcher-icon-img{
        width: 20px;
    }
    .product-section1-container-model-switcher-options{
        width: calc(100% - 2px);
        top: 50px;
        border-radius: 10px;
        border: 1px solid #444444;
        background-color: #ffffff;
    }
    .product-section1-container-model-switcher-option{
        height: 40px;
        line-height: 40px;
        font-size: 16px;
        border-bottom: 1px solid #444444;
    }
    .product-section1-swiper-wrap{
        width: 100%;
        padding-top: 30px;
    }
    .product-section1-swiper-item-poster-img{
        height: 200px;
    }
    .product-section1-parameters-container{
        margin-top: 20px;
        width: calc(100% - 40px);
        padding: 30px 20px;
        border-radius: 10px;
    }
    .product-section1-parameter{
        width: calc(50% - 10px);
        padding-right: 0;
        max-width: unset;
        margin-bottom: 20px;
    }
    .product-section1-parameter-label{
        width: 100%;
        text-align: left;
        font-size: 12px;
    }
    .product-section1-parameter-value{
        width: 100%;
        text-align: left;
        font-size: 16px;
        padding-top: 10px;
    }

    /* 区块2 */
    .product-section2-container{
        padding: 40px 0;
    }
    .product-section2-container-header{
        width: calc(100% - 40px);
        margin: 0 auto;
    }
    .product-section2-container-header-title{
        width: 100%;
        text-align: left;
        font-size: 20px;
    }
    .product-section2-container-header-description{
        width: 100%;
        padding-top: 10px;
        font-size: 14px;
    }
    .product-section2-container-body{
        width: calc(100% - 40px);
        margin: 0 auto;
        padding-top: 20px;
    }
    .product-section2-swiper-item-poster-img{
        height: 200px;
        border-radius: 10px;
    }

    /* 区块3 */
    .product-section3-container{
        padding: 30px 0;
    }
    .product-section3-container-header{
        width: calc(100% - 40px);
        padding: 0 20px;
    }
    .product-section3-container-header-title{
        font-size: 20px;
    }
    .product-section3-swiper{
        width: calc(100% - 40px);
        padding: 0 20px;
        padding-top: 20px;
    }
    .product-section3-swiper .swiper-button-custom{
        display: flex;
    }
    .product-section3-container-body{
        width: calc(100% - 80px);
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .product-section3-container-body-left{
        width: 100%;
    }
    .product-section3-container-body-poster{
        width: 100%;
        height: max-content;
        border-radius: unset;
    }
    .product-section3-container-body-poster-img{
        width: 100%;
        height: unset;
        object-fit: contain;
        border-radius: 10px;
    }
    .product-section3-container-body-right{
        width: 100%;
        padding-left: 0;
        padding-top: 10px;
    }
    .product-section3-container-body-description{
        font-size: 14px;
    }

    /* 区块4 */
    .product-section4-container{
        padding: 30px 0;
    }
    .product-section4-container-content{
        width: calc(100% - 40px);
    }
    .product-section4-container-header{
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .product-section4-container-header-title{
        width: 100%;
        text-align: left;
        font-size: 20px;
    }
    .product-section4-container-header-description{
        width: 100%;
        padding-top: 10px;
        font-size: 14px;
    }
    .product-section4-container-body{
        padding-top: 20px;
    }

    /* 区块5 */
    .product-section5-container{
        padding: 30px 0;
    }
    .product-section5-container-content{
        width: calc(100% - 40px);
    }
    .product-section5-container-header{
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .product-section5-container-header-title{
        width: 100%;
        text-align: left;
        font-size: 20px;
    }
    .product-section5-container-header-actions{
        width: 100%;
        justify-content: center;
        align-items: center;
        padding-top: 10px;
    }
    .product-section5-container-header-action{
        padding: 0 20px;
        height: 40px;
        line-height: 40px;
        border-radius: 20px;
    }
    .product-section5-container-header-action-icon{
        width: 20px;
        height: 20px;
        margin-right: 10px;
    }
    .product-section5-container-header-action-icon-img{
        width: 20px;
        height: 20px;
    }
    .product-section5-container-header-action-title{
        height: 30px;
        line-height: 30px;
        font-size: 14px;
    }
    .product-section5-container-body{
        padding-top: 20px;
    }
    .product-section5-parameters td{
        border-bottom: #c6c6c6 solid 1px!important;
    }
    .product-section5-parameters table tr td{
        padding: 10px 20px 10px 0;
        text-align: left;
        font-size: 14px;
        font-weight: lighter;
        color: #444444;
    }
    .product-section5-container-footer{
        padding-top: 20px;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .product-section5-container-footer-left{
        width: 100%;
    }
    .product-section5-container-footer-title{
        text-align: left;
        font-size: 16px;
    }
    .product-section5-container-footer-right{
        width: 100%;
        padding-top: 10px;
    }
    .product-section5-container-footer-description{
        font-size: 12px;
    }

    /* 区块6 */
    .product-section6-container{
        padding-bottom: 80px;
    }
    .product-section6-container-header-title{
        font-size: 20px;
    }
    .product-section6-container-body{
        padding-top: 20px;
    }
    .product-section6-product-group{
        margin-bottom: 0;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .product{
        width: 100%;
        margin-right: 0;
        margin-bottom: 20px;
    }
    .product-poster-swiper-wrap{
        height: 300px;
        border-radius: 10px;
    }
    .product-poster-swiper{
        height: 300px;
    }
    .product-poster{
        height: 300px;
    }
    .product-poster-img{
        height: 200px;
    }
    .product-poster-swiper .swiper-button-next{
        right: 20px;
        display: flex;
    }
    .product-poster-swiper .swiper-button-prev{
        left: 20px;
        display: flex;
    }
    .product-info{
        padding-top: 20px;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .product-info-left{
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
    }
    .product-title{
        font-size: 20px;
    }
    .product-description{
        padding-top: 10px;
        font-size: 14px;
    }
    .product-info-right{
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: flex-start;
        padding-top: 10px;
    }
    .product-info-model{
        justify-content: flex-start;
    }
    .product-info-model-dot{
        width: 10px;
        height: 10px;
        border-radius: 5px;
    }
    .product-info-model-num{
        max-width: unset;
        padding-left: 5px;
        font-size: 12px;
    }
    .product-section6-container-footer{
        bottom: 20px;
    }
    .product-section6-container-actions{
        width: calc(100% - 40px);
        justify-content: space-between;
        align-items: center;
    }
    .product-section6-container-action:first-of-type{
        display: none;
    }
    .product-section6-container-action{
        width: calc(50% - 5px);
        height: 50px;
        padding: 0;
        border-radius: 15px;
        margin-right: 0;
    }
    .product-section6-container-action-icon{
        width: 20px;
        height: 20px;
        margin-right: 10px;
    }
    .product-section6-container-action-icon-img{
        width: 20px;
        height: 20px;
    }
    .product-section6-container-action-title{
        font-size: 16px;
        height: 30px;
        line-height: 30px;
    }
}